import React from 'react';
import { ButtonProps } from '../../../../button/interfaces';
import { IconProps } from '../../../../icon/interfaces';
export interface TriggerButtonProps {
    ariaLabel?: string;
    className?: string;
    iconName?: IconProps.Name;
    iconSvg?: React.ReactNode;
    ariaExpanded: boolean | undefined;
    ariaControls?: string;
    disabled?: boolean;
    /**
     * Ovewrwrites any internal testIds when provided
     */
    testId?: string;
    /**
     * If button is selected. Used only for desktop and applies a selected class
     */
    selected?: boolean;
    onClick: React.MouseEventHandler<HTMLButtonElement>;
    badge?: boolean;
    /**
     * If the button is expected to have a tooltip. When false it will not set the event listeners
     *
     * defaults to false
     */
    hasTooltip?: boolean;
    /**
     * This text allows for a customized tooltip.
     *
     * When falsy, the tooltip will parse the tooltip form the aria-lable
     */
    tooltipText?: string;
    hasOpenDrawer?: boolean;
    /**
     * If the AppLayout is in mobile mode
     * Used to determine if and where to render tooltips
     */
    isMobile?: boolean;
    /**
     * set to true if the trigger button was used to open the last active drawer
     * this is also used to hide the tooltip should the focus be set programmatically
     * on focus from a drawer close using this
     */
    isForPreviousActiveDrawer?: boolean;
    /**
     * if the trigger button is for the split panel
     */
    isForSplitPanel?: boolean;
    tabIndex?: number | undefined;
}
declare const _default: React.ForwardRefExoticComponent<TriggerButtonProps & React.RefAttributes<ButtonProps.Ref>>;
export default _default;
//# sourceMappingURL=index.d.ts.map