import React from 'react';
import { CodeEditorProps } from './interfaces';
import { PaneStatus } from './util';
interface StatusBarProps {
    languageLabel: string;
    cursorPosition?: string;
    paneStatus: PaneStatus;
    isTabFocused: boolean;
    paneId?: string;
    i18nStrings?: CodeEditorProps.I18nStrings;
    errorCount: number;
    warningCount: number;
    isRefresh: boolean;
    errorsTabRef?: React.RefObject<HTMLButtonElement>;
    warningsTabRef?: React.RefObject<HTMLButtonElement>;
    onErrorPaneToggle: () => void;
    onWarningPaneToggle: () => void;
    onTabFocus?: React.FocusEventHandler<HTMLButtonElement>;
    onTabBlur?: React.FocusEventHandler<HTMLButtonElement>;
    onPreferencesOpen: () => void;
    onHeightChange?: (height: number | null) => void;
}
export declare function StatusBar({ languageLabel, cursorPosition, paneStatus, onErrorPaneToggle, onWarningPaneToggle, onTabFocus, onTabBlur, errorsTabRef, warningsTabRef, isTabFocused, paneId, onPreferencesOpen, i18nStrings, errorCount, warningCount, isRefresh, }: StatusBarProps): JSX.Element;
export {};
//# sourceMappingURL=status-bar.d.ts.map