import React from 'react';
import { BaseComponentProps } from '../internal/base-component';
export interface DrawerProps extends BaseComponentProps {
    /**
     * Header of the drawer.
     *
     * It should contain the only `h2` used in the drawer.
     */
    header?: React.ReactNode;
    /**
     * Main content of the drawer.
     *
     */
    children?: React.ReactNode;
    /**
     * Renders the drawer in a loading state. We recommend that you also set a `loadingText`.
     */
    loading?: boolean;
    /**
     * Determines whether the drawer content has padding. If `true`, removes the default padding from the content area.
     */
    disableContentPaddings?: boolean;
    /**
     * An object containing all the necessary localized strings required by the component.
     * @i18n
     */
    i18nStrings?: I18nStrings;
    /**
     * Actions for the header. Available only if you specify the `header` property.
     */
    headerActions?: React.ReactNode;
}
interface I18nStrings {
    /**
      Specifies the text that's displayed when the panel is in a loading state.
     */
    loadingText?: string;
}
export {};
//# sourceMappingURL=interfaces.d.ts.map