import { __rest } from "tslib";
// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0
import React from 'react';
import useBaseComponent from '../internal/hooks/use-base-component';
import { applyDisplayName } from '../internal/utils/apply-display-name';
import InternalFileInput from './internal';
const FileInput = React.forwardRef((_a, ref) => {
    var { multiple, variant } = _a, props = __rest(_a, ["multiple", "variant"]);
    const baseComponentProps = useBaseComponent('FileInput', {
        props: {
            multiple,
            variant,
        },
    });
    return React.createElement(InternalFileInput, Object.assign({ multiple: multiple, variant: variant }, props, baseComponentProps, { ref: ref }));
});
applyDisplayName(FileInput, 'FileInput');
export default FileInput;
//# sourceMappingURL=index.js.map