import React from 'react';
import { ClassValue } from 'clsx';
import { Breakpoint } from '../internal/breakpoints';
import { InternalBaseComponentProps } from '../internal/hooks/use-base-component';
import { GridProps } from './interfaces';
interface InternalGridProps extends GridProps, InternalBaseComponentProps {
    __breakpoint?: Breakpoint | null;
    /**
     * The handler that fires when the grid breakpoint changes.
     */
    __responsiveClassName?: (breakpoint: Breakpoint | null) => ClassValue;
    /**
     * Overrides the default wrapper HTML tag.
     */
    __tagOverride?: string;
}
declare const InternalGrid: React.ForwardRefExoticComponent<InternalGridProps & React.RefAttributes<HTMLDivElement>>;
export default InternalGrid;
//# sourceMappingURL=internal.d.ts.map