import React from 'react';
import { FunnelStepContextValue, FunnelSubStepContextValue } from '../context/analytics-context';
import { AnalyticsMetadata, FunnelStartProps, FunnelStepProps, StepConfiguration } from '../interfaces';
interface AnalyticsFunnelProps {
    mounted?: boolean;
    children?: React.ReactNode;
    stepConfiguration?: StepConfiguration[];
    funnelNameSelectors?: () => string[];
    funnelType: FunnelStartProps['funnelType'];
    optionalStepNumbers: FunnelStartProps['optionalStepNumbers'];
    totalFunnelSteps: FunnelStartProps['totalFunnelSteps'];
    funnelIdentifier?: AnalyticsMetadata['instanceIdentifier'];
    funnelFlowType?: AnalyticsMetadata['flowType'];
    funnelErrorContext?: AnalyticsMetadata['errorContext'];
    funnelResourceType?: AnalyticsMetadata['resourceType'];
}
export declare const AnalyticsFunnel: (props: AnalyticsFunnelProps) => JSX.Element;
export declare const CREATION_EDIT_FLOW_DONE_EVENT_NAME = "awsui-creation-edit-flow-done";
interface AnalyticsFunnelStepProps {
    mounted?: boolean;
    stepIdentifier?: AnalyticsMetadata['instanceIdentifier'];
    stepErrorContext?: AnalyticsMetadata['errorContext'];
    children?: React.ReactNode | ((props: FunnelStepContextValue) => React.ReactNode);
    stepNameSelector?: FunnelStepProps['stepNameSelector'];
    stepNumber: FunnelStepProps['stepNumber'];
}
export declare const AnalyticsFunnelStep: (props: AnalyticsFunnelStepProps) => JSX.Element;
interface AnalyticsFunnelSubStepProps {
    subStepIdentifier?: AnalyticsMetadata['instanceIdentifier'];
    subStepErrorContext?: AnalyticsMetadata['errorContext'];
    children?: React.ReactNode | ((props: FunnelSubStepContextValue) => React.ReactNode);
}
export declare const AnalyticsFunnelSubStep: ({ children, subStepIdentifier, subStepErrorContext, }: AnalyticsFunnelSubStepProps) => JSX.Element;
export {};
//# sourceMappingURL=analytics-funnel.d.ts.map