import { DragEndEvent, DragOverEvent, DragStartEvent } from '@dnd-kit/core';
import { SortableAreaProps } from './interfaces';
export default function useLiveAnnouncements<Item>({ items, itemDefinition, isDragging, liveAnnouncementDndStarted, liveAnnouncementDndItemReordered, liveAnnouncementDndItemCommitted, liveAnnouncementDndDiscarded, }: {
    items: readonly Item[];
    itemDefinition: SortableAreaProps.ItemDefinition<Item>;
    isDragging: boolean;
} & SortableAreaProps.DndAreaI18nStrings): {
    onDragStart({ active }: DragStartEvent): string | undefined;
    onDragOver({ active, over }: DragOverEvent): string | undefined;
    onDragEnd({ active, over }: DragEndEvent): string | undefined;
    onDragCancel(): string | undefined;
};
//# sourceMappingURL=use-live-announcements.d.ts.map