import { ComparisonOperator, I18nStrings, InternalToken, InternalTokenGroup } from './interfaces';
export type I18nStringsOperators = Pick<I18nStrings, 'operatorLessText' | 'operatorLessOrEqualText' | 'operatorGreaterText' | 'operatorGreaterOrEqualText' | 'operatorContainsText' | 'operatorDoesNotContainText' | 'operatorEqualsText' | 'operatorDoesNotEqualText' | 'operatorStartsWithText' | 'operatorDoesNotStartWithText'>;
export type I18nStringsInternal = Omit<I18nStrings, 'formatToken' | 'removeTokenButtonAriaLabel' | 'groupEditAriaLabel' | 'tokenEditorTokenActionsAriaLabel' | 'tokenEditorTokenRemoveAriaLabel' | 'tokenEditorAddExistingTokenAriaLabel' | 'tokenEditorAddExistingTokenLabel'> & {
    formatToken: (token: InternalToken) => {
        propertyLabel: string;
        operator: string;
        value: string;
        formattedText: string;
    };
    groupAriaLabel: (group: InternalTokenGroup) => string;
    groupEditAriaLabel: (group: InternalTokenGroup) => string;
    removeTokenButtonAriaLabel: (token: InternalToken) => string;
    tokenEditorTokenActionsAriaLabel: (token: InternalToken) => string;
    tokenEditorTokenRemoveAriaLabel: (token: InternalToken) => string;
    tokenEditorAddExistingTokenAriaLabel: (token: InternalToken) => string;
    tokenEditorAddExistingTokenLabel: (token: InternalToken) => string;
};
export declare function usePropertyFilterI18n(def?: I18nStrings): I18nStringsInternal;
export declare function operatorToDescription(operator: ComparisonOperator, i18nStrings: I18nStringsOperators): string | undefined;
//# sourceMappingURL=i18n-utils.d.ts.map