/// <reference types="react" />
import { DropdownStatusProps } from '../internal/components/dropdown-status/interfaces.js';
import { NonCancelableEventHandler } from '../internal/events/index.js';
import { I18nStringsInternal } from './i18n-utils.js';
import { GroupText, InternalFilteringOption, InternalFilteringProperty, InternalFreeTextFiltering, InternalToken, LoadItemsDetail } from './interfaces.js';
export interface TokenEditorProps {
    supportsGroups: boolean;
    asyncProperties?: boolean;
    asyncProps: DropdownStatusProps;
    customGroupsText: readonly GroupText[];
    freeTextFiltering: InternalFreeTextFiltering;
    filteringProperties: readonly InternalFilteringProperty[];
    filteringOptions: readonly InternalFilteringOption[];
    i18nStrings: I18nStringsInternal;
    onLoadItems?: NonCancelableEventHandler<LoadItemsDetail>;
    onSubmit: () => void;
    onDismiss: () => void;
    tokensToCapture: InternalToken[];
    onTokenCapture: (token: InternalToken) => void;
    onTokenRelease: (token: InternalToken) => void;
    tempGroup: InternalToken[];
    onChangeTempGroup: (token: InternalToken[]) => void;
}
export declare function TokenEditor({ supportsGroups, asyncProperties, asyncProps, customGroupsText, freeTextFiltering, filteringProperties, filteringOptions, i18nStrings, onLoadItems, onSubmit, onDismiss, tokensToCapture, onTokenCapture, onTokenRelease, tempGroup, onChangeTempGroup, }: TokenEditorProps): JSX.Element;
//# sourceMappingURL=token-editor.d.ts.map