/// <reference types="react" />
import { DropdownStatusProps } from '../internal/components/dropdown-status/interfaces';
import { NonCancelableEventHandler } from '../internal/events';
import { I18nStringsInternal } from './i18n-utils';
import { GroupText, InternalFilteringOption, InternalFilteringProperty, InternalFreeTextFiltering, InternalQuery, InternalToken, InternalTokenGroup, JoinOperation, LoadItemsDetail } from './interfaces';
interface TokenProps {
    query: InternalQuery;
    tokenIndex: number;
    onUpdateToken: (updatedToken: InternalToken | InternalTokenGroup, releasedTokens: InternalToken[]) => void;
    onUpdateOperation: (updatedOperation: JoinOperation) => void;
    onRemoveToken: () => void;
    asyncProperties?: boolean;
    asyncProps: DropdownStatusProps;
    customGroupsText: readonly GroupText[];
    disabled?: boolean;
    freeTextFiltering: InternalFreeTextFiltering;
    expandToViewport?: boolean;
    filteringProperties: readonly InternalFilteringProperty[];
    filteringOptions: readonly InternalFilteringOption[];
    hideOperations?: boolean;
    readOnlyOperations?: boolean;
    i18nStrings: I18nStringsInternal;
    onLoadItems?: NonCancelableEventHandler<LoadItemsDetail>;
    enableTokenGroups: boolean;
}
export declare const TokenButton: ({ query, onUpdateToken, onUpdateOperation, onRemoveToken, tokenIndex, filteringProperties, filteringOptions, asyncProps, onLoadItems, i18nStrings, asyncProperties, hideOperations, readOnlyOperations, customGroupsText, disabled, freeTextFiltering, expandToViewport, enableTokenGroups, }: TokenProps) => JSX.Element;
export {};
//# sourceMappingURL=token.d.ts.map