import React from 'react';
import { OptionDefinition } from '../../internal/components/option/interfaces';
import { FormFieldValidationControlProps } from '../../internal/context/form-field-context';
import { MultiselectProps } from '../../multiselect/interfaces';
import { SelectProps } from '../interfaces';
import { SelectTriggerProps } from '../utils/use-select';
export interface TriggerProps extends FormFieldValidationControlProps {
    placeholder: string | undefined;
    disabled: boolean | undefined;
    readOnly?: boolean;
    triggerProps: SelectTriggerProps;
    selectedOption: OptionDefinition | null;
    inlineLabelText?: string;
    isOpen?: boolean;
    triggerVariant?: SelectProps.TriggerVariant | MultiselectProps.TriggerVariant;
    inFilteringToken?: 'root' | 'nested';
    selectedOptions?: ReadonlyArray<OptionDefinition>;
}
declare const Trigger: React.ForwardRefExoticComponent<TriggerProps & React.RefAttributes<HTMLButtonElement>>;
export default Trigger;
//# sourceMappingURL=trigger.d.ts.map