import { TableProps } from '../interfaces';
interface ExpandableItemProps<T> extends ExpandableItemDetail<T> {
    isExpandable: boolean;
    isExpanded: boolean;
    onExpandableItemToggle: () => void;
    expandButtonLabel?: string;
    collapseButtonLabel?: string;
}
interface ExpandableItemDetail<T> {
    level: number;
    setSize: number;
    posInSet: number;
    parent: null | T;
    children: readonly T[];
}
export declare function useExpandableTableProps<T>({ items, expandableRows, trackBy, ariaLabels, }: {
    items: readonly T[];
    expandableRows?: TableProps.ExpandableRows<T>;
    trackBy?: TableProps.TrackBy<T>;
    ariaLabels?: TableProps.AriaLabels<T>;
}): {
    isExpandable: boolean;
    allItems: readonly T[];
    getExpandableItemProps: (item: T) => ExpandableItemProps<T>;
};
export {};
//# sourceMappingURL=expandable-rows-utils.d.ts.map