import { ComponentWrapper, ElementWrapper } from '@cloudscape-design/test-utils-core/dom';
import AutosuggestWrapper from '../autosuggest';
import ButtonWrapper from '../button';
import ButtonDropdownWrapper from '../button-dropdown';
import FormFieldWrapper from '../form-field';
import SelectWrapper from '../select';
export default class PropertyFilterWrapper extends AutosuggestWrapper {
    static rootSelector: string;
    findResultsCount(): ElementWrapper;
    findTokens(): Array<FilteringTokenWrapper>;
    /**
     * Returns the button that toggles if the tokens above `tokenLimit` are visible.
     */
    findTokenToggle(): ElementWrapper | null;
    /**
     * Returns the button that removes all current tokens.
     */
    findRemoveAllButton(): ElementWrapper | null;
    /**
     * Returns the element containing the `customControl` slot.
     */
    findCustomControl(): ElementWrapper | null;
    /**
     * Returns the element containing the `customFilterActions` slot.
     */
    findCustomFilterActions(): ElementWrapper | null;
    /**
     * Returns the element containing the `filteringConstraintText` slot.
     */
    findConstraint(): ElementWrapper | null;
    /**
     * Returns custom property form cancel button.
     *
     * @param options
     * * expandToViewport (boolean) - Use this when the component under test is rendered with an `expandToViewport` flag.
     */
    findPropertyCancelButton(options?: {
        expandToViewport: boolean;
    }): null | ButtonWrapper;
    /**
     * Returns custom property form submit button.
     *
     * @param options
     * * expandToViewport (boolean) - Use this when the component under test is rendered with an `expandToViewport` flag.
     */
    findPropertySubmitButton(options?: {
        expandToViewport: boolean;
    }): null | ButtonWrapper;
}
export declare class FilteringTokenWrapper extends ComponentWrapper {
    static rootSelector: string;
    findLabel(): ElementWrapper;
    findRemoveButton(): ElementWrapper<HTMLButtonElement>;
    findTokenOperation(): SelectWrapper | null;
    /**
     * Returns dropdown content of editing token if opened or `null` otherwise.
     */
    findEditorDropdown(options?: {
        expandToViewport: boolean;
    }): null | PropertyFilterEditorDropdownWrapper;
    findEditButton(): ElementWrapper<HTMLButtonElement>;
    findGroupTokens(): Array<FilteringGroupedTokenWrapper>;
}
export declare class PropertyFilterEditorDropdownWrapper extends ComponentWrapper {
    findHeader(): ElementWrapper;
    findDismissButton(): ButtonWrapper;
    findForm(): ElementWrapper;
    findPropertyField(index?: number): FormFieldWrapper;
    findOperatorField(index?: number): FormFieldWrapper;
    findValueField(index?: number): FormFieldWrapper;
    findTokenRemoveActions(index?: number): null | ButtonDropdownWrapper;
    findTokenAddActions(): null | ButtonDropdownWrapper;
    findCancelButton(): ButtonWrapper;
    findSubmitButton(): ButtonWrapper;
}
export declare class FilteringGroupedTokenWrapper extends ComponentWrapper {
    static rootSelector: string;
    findLabel(): ElementWrapper;
    findRemoveButton(): ElementWrapper<HTMLButtonElement>;
    findTokenOperation(): SelectWrapper | null;
}
