"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0
const selectors_1 = require("@cloudscape-design/test-utils-core/selectors");
const styles_selectors_js_1 = require("../../../steps/styles.selectors.js");
class StepWrapper extends selectors_1.ComponentWrapper {
    /**
     * Finds the header of a step
     */
    findHeader() {
        return this.findByClassName(styles_selectors_js_1.default.header);
    }
    /**
     * Finds the details of a step
     */
    findDetails() {
        return this.findByClassName(styles_selectors_js_1.default.details);
    }
}
class StepsWrapper extends selectors_1.ComponentWrapper {
    /**
     * Finds all step items
     */
    findItems() {
        return this.findAllByClassName(styles_selectors_js_1.default.container).map(item => new StepWrapper(item.getElement()));
    }
}
exports.default = StepsWrapper;
StepsWrapper.rootSelector = styles_selectors_js_1.default.root;
//# sourceMappingURL=index.js.map