import { __rest } from "tslib";
// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0
import React from 'react';
import { getAnalyticsMetadataAttribute } from '@cloudscape-design/component-toolkit/internal/analytics-metadata';
import useBaseComponent from '../internal/hooks/use-base-component';
import { applyDisplayName } from '../internal/utils/apply-display-name';
import InternalTokenGroup from './internal';
export default function TokenGroup(_a) {
    var { items = [], alignment = 'horizontal' } = _a, props = __rest(_a, ["items", "alignment"]);
    const baseComponentProps = useBaseComponent('TokenGroup', {
        props: { alignment, disableOuterPadding: props.disableOuterPadding, limit: props.limit, readOnly: props.readOnly },
    });
    const componentAnalyticsMetadata = {
        name: 'awsui.TokenGroup',
        label: 'invalid',
        properties: {
            itemsCount: `${items.length}`,
        },
    };
    return (React.createElement(InternalTokenGroup, Object.assign({ items: items, alignment: alignment }, props, baseComponentProps, getAnalyticsMetadataAttribute({ component: componentAnalyticsMetadata }))));
}
applyDisplayName(TokenGroup, 'TokenGroup');
//# sourceMappingURL=index.js.map